### Method

# Phosh IdleDBusObject get_idle_monitor

#### Declaration [src]

    PhoshIdleDBusIdleMonitor*
    phosh_idle_dbus_object_get_idle_monitor (
      PhoshIdleDBusObject* object
    )

#### Description [src]

Gets the `PhoshIdleDBusIdleMonitor` instance for the D-Bus interface org.gnome.Mutter.IdleMonitor on `object`, if any.

Gets property | `Phosh.IdleDBusObject:idle-monitor`

#### Return value

Type: `PhoshIdleDBusIdleMonitor`

A `PhoshIdleDBusIdleMonitor` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.